cascading.flow.planner.iso.expression

## Class PlannerLevelElementExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.PlannerLevelElementExpression

- All Implemented Interfaces:
    Expression<FlowElement>

      public class PlannerLevelElementExpression
      extends ElementExpression

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PlannerLevelElementExpression(ElementCapture capture, Class<? extends PlannerLevel> plannerLevelClass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applies(PlannerContext plannerContext, ElementGraph elementGraph, FlowElement flowElement)`

    - ### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

      `getCapture, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlannerLevelElementExpression

          protected PlannerLevelElementExpression(ElementCapture capture,
                                       Class<? extends PlannerLevel> plannerLevelClass)

  - ### Method Detail

    - #### applies

          public boolean applies(PlannerContext plannerContext,
                        ElementGraph elementGraph,
                        FlowElement flowElement)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.